Subject: Re: [PATCH v2 1/4] doc: git-add: start man page with an example

From: "Julia Evans" <[email-masked]>
Date: Tue, 19 Aug 2025 16:01:42 -0400

>> I think Julia is referring to the fact that you can record the state
>> that is different from what is in the index (or, what has been
>> accumulated in the index by the past use of "git add" command that
>> is being discussed here) with "git commit [-i] <pathspec>".  You can
>> do
>> 
>>     $ edit fileA fileB ;# assume both are tracked
>>     $ git add fileA
>>     $ git commit fileB

I was actually thinking of `git commit -a`, but it amounts to the same thing.

I'm going to remove the "By default": I agree it introduces some
unnecessary confusion, similar to the "It typically adds..." in the current
version of the man page. I'll instead be more explicit:
"When you run `git commit` without any other arguments.."